<?php
$tdatacategoryjob = array();
$tdatacategoryjob[".searchableFields"] = array();
$tdatacategoryjob[".ShortName"] = "categoryjob";
$tdatacategoryjob[".OwnerID"] = "";
$tdatacategoryjob[".OriginalTable"] = "categoryjob";


$tdatacategoryjob[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacategoryjob[".originalPagesByType"] = $tdatacategoryjob[".pagesByType"];
$tdatacategoryjob[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacategoryjob[".originalPages"] = $tdatacategoryjob[".pages"];
$tdatacategoryjob[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacategoryjob[".originalDefaultPages"] = $tdatacategoryjob[".defaultPages"];

//	field labels
$fieldLabelscategoryjob = array();
$fieldToolTipscategoryjob = array();
$pageTitlescategoryjob = array();
$placeHolderscategoryjob = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscategoryjob["English"] = array();
	$fieldToolTipscategoryjob["English"] = array();
	$placeHolderscategoryjob["English"] = array();
	$pageTitlescategoryjob["English"] = array();
	$fieldLabelscategoryjob["English"]["CategoryjobID"] = "Categoryjob ID";
	$fieldToolTipscategoryjob["English"]["CategoryjobID"] = "";
	$placeHolderscategoryjob["English"]["CategoryjobID"] = "";
	$fieldLabelscategoryjob["English"]["CategoryjobName"] = "Categoryjob Name";
	$fieldToolTipscategoryjob["English"]["CategoryjobName"] = "";
	$placeHolderscategoryjob["English"]["CategoryjobName"] = "";
	if (count($fieldToolTipscategoryjob["English"]))
		$tdatacategoryjob[".isUseToolTips"] = true;
}


	$tdatacategoryjob[".NCSearch"] = true;



$tdatacategoryjob[".shortTableName"] = "categoryjob";
$tdatacategoryjob[".nSecOptions"] = 0;

$tdatacategoryjob[".mainTableOwnerID"] = "";
$tdatacategoryjob[".entityType"] = 0;
$tdatacategoryjob[".connId"] = "eflejob_at_localhost";


$tdatacategoryjob[".strOriginalTableName"] = "categoryjob";

	



$tdatacategoryjob[".showAddInPopup"] = false;

$tdatacategoryjob[".showEditInPopup"] = false;

$tdatacategoryjob[".showViewInPopup"] = false;

	$tdatacategoryjob[".listAjax"] = true;
//	temporary
//$tdatacategoryjob[".listAjax"] = false;

	$tdatacategoryjob[".audit"] = false;

	$tdatacategoryjob[".locking"] = false;


$pages = $tdatacategoryjob[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacategoryjob[".edit"] = true;
	$tdatacategoryjob[".afterEditAction"] = 1;
	$tdatacategoryjob[".closePopupAfterEdit"] = 1;
	$tdatacategoryjob[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacategoryjob[".add"] = true;
$tdatacategoryjob[".afterAddAction"] = 1;
$tdatacategoryjob[".closePopupAfterAdd"] = 1;
$tdatacategoryjob[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacategoryjob[".list"] = true;
}



$tdatacategoryjob[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacategoryjob[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacategoryjob[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacategoryjob[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacategoryjob[".printFriendly"] = true;
}



$tdatacategoryjob[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacategoryjob[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacategoryjob[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacategoryjob[".isUseAjaxSuggest"] = true;



			

$tdatacategoryjob[".ajaxCodeSnippetAdded"] = false;

$tdatacategoryjob[".buttonsAdded"] = false;

$tdatacategoryjob[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacategoryjob[".isUseTimeForSearch"] = false;


$tdatacategoryjob[".badgeColor"] = "b22222";


$tdatacategoryjob[".allSearchFields"] = array();
$tdatacategoryjob[".filterFields"] = array();
$tdatacategoryjob[".requiredSearchFields"] = array();

$tdatacategoryjob[".googleLikeFields"] = array();
$tdatacategoryjob[".googleLikeFields"][] = "CategoryjobID";
$tdatacategoryjob[".googleLikeFields"][] = "CategoryjobName";



$tdatacategoryjob[".tableType"] = "list";

$tdatacategoryjob[".printerPageOrientation"] = 0;
$tdatacategoryjob[".nPrinterPageScale"] = 100;

$tdatacategoryjob[".nPrinterSplitRecords"] = 40;

$tdatacategoryjob[".geocodingEnabled"] = false;










$tdatacategoryjob[".pageSize"] = 20;

$tdatacategoryjob[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatacategoryjob[".strOrderBy"] = $tstrOrderBy;

$tdatacategoryjob[".orderindexes"] = array();


$tdatacategoryjob[".sqlHead"] = "SELECT CategoryjobID,  	CategoryjobName";
$tdatacategoryjob[".sqlFrom"] = "FROM categoryjob";
$tdatacategoryjob[".sqlWhereExpr"] = "";
$tdatacategoryjob[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacategoryjob[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacategoryjob[".arrGroupsPerPage"] = $arrGPP;

$tdatacategoryjob[".highlightSearchResults"] = true;

$tableKeyscategoryjob = array();
$tableKeyscategoryjob[] = "CategoryjobID";
$tdatacategoryjob[".Keys"] = $tableKeyscategoryjob;


$tdatacategoryjob[".hideMobileList"] = array();




//	CategoryjobID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CategoryjobID";
	$fdata["GoodName"] = "CategoryjobID";
	$fdata["ownerTable"] = "categoryjob";
	$fdata["Label"] = GetFieldLabel("categoryjob","CategoryjobID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CategoryjobID";

		$fdata["sourceSingle"] = "CategoryjobID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CategoryjobID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacategoryjob["CategoryjobID"] = $fdata;
		$tdatacategoryjob[".searchableFields"][] = "CategoryjobID";
//	CategoryjobName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CategoryjobName";
	$fdata["GoodName"] = "CategoryjobName";
	$fdata["ownerTable"] = "categoryjob";
	$fdata["Label"] = GetFieldLabel("categoryjob","CategoryjobName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "CategoryjobName";

		$fdata["sourceSingle"] = "CategoryjobName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CategoryjobName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacategoryjob["CategoryjobName"] = $fdata;
		$tdatacategoryjob[".searchableFields"][] = "CategoryjobName";


$tables_data["categoryjob"]=&$tdatacategoryjob;
$field_labels["categoryjob"] = &$fieldLabelscategoryjob;
$fieldToolTips["categoryjob"] = &$fieldToolTipscategoryjob;
$placeHolders["categoryjob"] = &$placeHolderscategoryjob;
$page_titles["categoryjob"] = &$pageTitlescategoryjob;


changeTextControlsToDate( "categoryjob" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["categoryjob"] = array();
//	categoryjobsub
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="categoryjobsub";
		$detailsParam["dOriginalTable"] = "categoryjobsub";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "categoryjobsub";
	$detailsParam["dCaptionTable"] = GetTableCaption("categoryjobsub");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["categoryjob"][$dIndex] = $detailsParam;

	
		$detailsTablesData["categoryjob"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["categoryjob"][$dIndex]["masterKeys"][]="CategoryjobID";

				$detailsTablesData["categoryjob"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["categoryjob"][$dIndex]["detailKeys"][]="CategoryjobID";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["categoryjob"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_categoryjob()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CategoryjobID,  	CategoryjobName";
$proto0["m_strFrom"] = "FROM categoryjob";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CategoryjobID",
	"m_strTable" => "categoryjob",
	"m_srcTableName" => "categoryjob"
));

$proto6["m_sql"] = "CategoryjobID";
$proto6["m_srcTableName"] = "categoryjob";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "CategoryjobName",
	"m_strTable" => "categoryjob",
	"m_srcTableName" => "categoryjob"
));

$proto8["m_sql"] = "CategoryjobName";
$proto8["m_srcTableName"] = "categoryjob";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "categoryjob";
$proto11["m_srcTableName"] = "categoryjob";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "CategoryjobID";
$proto11["m_columns"][] = "CategoryjobName";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "categoryjob";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "categoryjob";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="categoryjob";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_categoryjob = createSqlQuery_categoryjob();


	
		;

		

$tdatacategoryjob[".sqlquery"] = $queryData_categoryjob;



$tdatacategoryjob[".hasEvents"] = false;

?>